/*
    This file is part of the UNF library / toolset
    Copyright (C) 2000 Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: oDBCS.c $
   $Locker: ska $	$Name:  $	$State: Exp $

	Output a full DBCS table (function 7).
	Note: DBCS is not really supported, only the default "no DBCS"
		is implemented currently, because of lack of knowledge about
		the DBCS.

*/

#include "unf.loc"

#ifdef _MICROC_
#endif

#include "unf_post.loc"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: oDBCS.c 1.3 2000/04/29 04:44:42 ska Exp ska $";
#endif

#if defined(DBCS)
void oDBCS(UWORD *size)
{	size_t len, n;
	UBYTE *p;
	
	len = *size++;
	p = (UBYTE *)size;

	olabelc(7, "Double Byte Character Support (DBCS)");
	oo("make_size");
	if (len) {
		ot(p,len);
		p += len;
		if (len + 2 < sizeof(struct nlsDBCS)) {
			oo("stop_size");
		}
	}
	else {
		oo("stop_size");
		ottc(p, 2, "DBCS support is not available");
		p += 2;
		len = 2;
	}
	if (len + 2 < sizeof(struct nlsDBCS)) {
		os("  = ");
		for(n = len + 2; n < sizeof(struct nlsDBCS); n++) {
			otbf(0);
		}
	}
	oend();
}
#else
void oDBCS(UWORD *size)
{	if(*size)
		unf__eerror("DBCS is not supported currently");

	olabelc(7, "Double Byte Character Support (DBCS)");
	oo("make_size");
	oo("stop_size");
	otopen();			/* DBCS table */
	otw(0);				/* word 0 */
	otc("DBCS end marker (mandotary)");
	oend();
}
#endif
