/*
    This file is part of the UNF library / toolset
    Copyright (C) 2000 Steffen Kaiser

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* $RCSfile: oYesNo.c $
   $Locker: ska $	$Name:  $	$State: Exp $

	Output a full table 0x23 (Yes/No prompt characters).

	Note: This table is a pseudo-table, because the data is not
	really storred in a table within the NLS implementation, but
	somewhere else.
	Byte #0 is the Yes-Prompt;
	Byte #1 is the No-Prompt.
	Both characters are passed through the "Upcase character"
	function (DOS-65-20) before compare.

*/

#if defined(__TURBOC__)
#include <dos.h>
#endif

#include "unf.loc"

#ifndef _MICROC_
#include <dos.h>
#endif

#include "unf_post.loc"

#ifdef RCS_Version
static char const rcsid[] = 
	"$Id: oYesNo.c 1.2 2000/04/29 04:44:46 ska Exp ska $";
#endif

void oYesNo(char *ch)
{	
	olabelc(0x23, "Extended Country Information DOS-65-23");
#if 1
	if (sizeof(((struct nlsPackage *)0)->yeschar) == 2) {
		os("  = ");
		otiw(*(UWORD *)ch);
		otiw(*(UWORD *)(ch + 2));
	} else {
		ottc(ch, 2, "Yes & No character");
	}
#else
	ottc(ch, 2, "Yes & No character");
#endif
	oend();
}
